i_archive.hpp File Reference
Private

the archive class implementation is defined in this module More...

`#include "../my_config.h"`
`#include <vector>`
`#include <string>`
`#include <memory>`
`#include "erreurs.hpp"`
`#include "path.hpp"`
`#include "statistics.hpp"`
`#include "archive_options.hpp"`
`#include "pile.hpp"`
`#include "list_entry.hpp"`
`#include "crypto.hpp"`
`#include "slice_layout.hpp"`
`#include "mem_ui.hpp"`
`#include "archive_summary.hpp"`
`#include "archive_listing_callback.hpp"`
`#include "catalogue.hpp"`
`#include "archive.hpp"`
`#include "header_version.hpp"`

Go to the source code of this file.

## Classes

class | libdar::archive::i_archive
| the archive::i_archive class implements the most general operations on archives More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

the archive class implementation is defined in this module

Definition in file i_archive.hpp.